Simple Alias Management
=====================


I've written a small patch for the Zarafa Spooler that allows you to manage send-as/alias capabilities within a simple text file.

The alias textfile looks like this:

> user@zarafa.de;aliasforuser@zarafa.de;Alias Displayname
> user2@zarafa.de;aliasforuser2@zarafa.de;Alias Displayname2
> userN@zarafa.de;aliasforuserN@zarafa.de;Alias DisplaynameN

The normal Zarafa send as features works like before. The new alias feature will just apply to mails, which are not handled by the Zarafa internal send-as mechanism.

You can turn on and off the patch within the **spooler.cfg** file.
New configuration parameters:

**use_alias_file** (Values: yes, no ; Default: yes)
**alias_file** (Values: Path to alias file ; Default: /etc/zarafa/alias.txt)

***WARNING: you have to restart the patched/recompiled spooler version once before you add the new config parameters!***


# INSTALLATION:
First read: http://www.zarafa.com/wiki/index.php/Compiling_source_code

For Debian 7 and ZCP 7.2 you can read my blog post: https://blog.sprinternet.at/2015/03/zarafa-zcp-7-2-auf-debian-wheezy-kompilieren/

### BUILDING:
```sh
cd path/to/zarafa-source
./configure --enable-unicode --enable-release --enable-python --prefix=/usr --with-gsoap-prefix=/opt/zarafa/ --with-ical-prefix=/opt/zarafa/ --with-vmime-prefix=/opt/zarafa/
make
checkinstall
```

### GENERAL:

The alias checking reads its rules from an ansi textfile.
Each rule needs to be on a new line. The sender mailaddress, alias mailaddress and alias display name are seperated by a semicolon
E.g:

> user@zarafa.de;aliasforuser@zarafa.de;Alias Username
> user2@zarafa.com;aliasforuser2@zarafa.de;Alias2 Displayname

Changes to this file would be applied immediately.
Info: Display name is currentl not in use.



### CONFIGURATION:

The default path for the rule file is: **/etc/zarafa/alias.txt**

You can enable/disable the extension in the spooler.cfg file.
WARNING: you have to restart the patched/recompiled spooler version once before you add the new config parameters!

New configuration parameters:

**use_alias_file**  (Values: yes, no ; Default: yes)
**alias_file**      (Values: Path to alias file ; Default: /etc/zarafa/alias.txt)

